clear all, close all, clc

%% Chargement du modele initial
load modelClampedBeam
H = sysFEM(end,1); % On ne considre que la dernire sortie

%% Reduction avecla MOR toolbox 
r             = 10; % ordre de rdution
opt.extraInfo = true;
[Hr,info]     = mor.lti(H,r,opt);

%% Calcul des erreur d'approximation en norme Hinf et H2
100*norm(H-Hr,inf)/norm(H,inf)
100*norm(H-Hr,2)/norm(H,2)

%% Rsultats
wmin = 1;
wmax = 1e4;
w    = logspace(log10(wmin),log10(wmax),300);
Mh   = bode(H,w);
Mhr  = bode(Hr, w);
Mhr_points = bode(Hr, abs(info.sigma));
semilogx(w/(2*pi), 20*log(abs(squeeze(Mh))),'b');
hold on
semilogx(w/(2*pi), 20*log(abs(squeeze(Mhr))),'r--');
semilogx(abs(info.sigma)/(2*pi), 20*log(abs(squeeze(Mhr_points))),'k.');
set(gca(),'fontsize',20);
set(gca(),'xLim',[wmin, wmax]/(2*pi));
ll = legend('$H_{900}$','$\hat{H}$','Points d''interpolation');
set(ll,'interpreter','latex','fontsize',26,'Location','SouthWest');
xlabel('Fr\''equence (Hz)','interpreter','latex','fontsize',26);
ylabel('Gain (dB)','interpreter','latex','fontsize',26);
grid on
