function fem_beam_plot(sys,N,Tend,L,t,h,U)

% Time simulation
for ii = 1:length(sys)
    if ii == 1
        T = Tend;
    end
    if nargin <= 6
        tic, [slack,T] = impulse(sys{ii},T); timeElapsed(ii) = toc;
    else
        tic, [slack,T] = lsim(sys{ii},U,T); timeElapsed(ii) = toc;
    end
    out{ii} = slack;
end
timeElapsed;

namePlace(1) = 0;
for ii = 1:length(out)
    X{ii} = 0:L/N{ii}:L; 
    Y{ii} = out{ii}(:,1:N{ii}); 
    Z{ii} = out{ii}(:,N{ii}+1:end);
    if ii <= 2
        names{ii} = ['$H_{' num2str(length(sys{ii}.a)-1) '}$'];
    else 
        names{ii} = ['$\hat{H}_{' num2str(length(sys{ii}.a)-1) '}$'];
    end
    if ii > 1
        namePlace(ii) = namePlace(end)+2;
    end
    %dimension(ii) = N{ii};
end

%limX  = max(max(abs(X{1})));
limY  = max(max(abs(Y{1})))+t;
limZ  = max(max(abs(Z{1})));
limYZ = max(limY,limZ)*1.05;

scrsz = get(0,'ScreenSize');
figure
for ii = 1:length(T)
    hold on
    cla
    if exist('a1','var'), cla(a1), end
    for jj = 1:length(out)
        Xi = repmat(X{jj},5,1);
        Yi = repmat([0 Y{jj}(ii,:)],5,1) + repmat([-t/2 -t/2 t/2  t/2 -t/2]',1,N{jj}+1)+(jj-1)*4*t;
        Zi = repmat([0 Z{jj}(ii,:)],5,1) + repmat([-h/2  h/2 h/2 -h/2 -h/2]',1,N{jj}+1);

        surf(Xi,Yi,Zi,'EdgeColor','none','LineStyle','none'); 
        colormap parula 
        grid on
        view(110,5)
        zlim([-limZ limZ])
        title(['t = ' num2str(T(ii)) 's'])
        %xlabel('x-axis','FontSize',20)
        %ylabel('y-axis','FontSize',20)
        %zlabel('z-axis','FontSize',20)
        %set(gca,'ytick',namePlace,'yticklabel',names)
        %title('Beam displacement','FontSize',20)

        if length(out) > 1
            if jj ~= 1
                if size(Z{1}(ii,:)) == size(Z{jj}(ii,:))
                    error(jj-1,ii) = norm(Z{1}(ii,:)-Z{jj}(ii,:));
                else
                    error(jj-1,ii) = norm(Z{1}(ii,end)-Z{jj}(ii,end));
                end                
            end
        end
    end
    drawnow
%     if ii == floor(length(T)/15)
%         axis tight
%         funFigureProperty(); funFigureSave('exple01_CBM')
%     end 
end

figure, hold on
plot(T(1:ii),abs(error(1,:)),'b--');
plot(T(1:ii),abs(error(2,:)),'r-');
xlabel('Temps [s]','FontSize',20), xlim([0 T(end)])
ylabel('Erreur le long de la poutre','FontSize',20)
set(gca,'YScale','log')
axis tight
grid on
ll = {'$||H_{900}(s)-H_{24}(s)||$' '$||H_{900}(s)-\hat H_{24}(s)||$'};
legend(ll,'Interpreter','Latex');
% funFigureProperty(); funFigureSave('exple01_CBMerr')
for ii = 1:length(out)-1
    fprintf('* Final error of Model %0.5g is %0.5g  \n',ii,sum(error(ii,:)))
end
